# Cons RPM prototype Specfile
# Copyright (C) 1998-2000 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
#
# $Id: cons.spec.proto,v 1.7 2000/10/31 15:41:55 rv Exp $

Summary: Cons - A software Construction System
Name: cons
Version: 2.2.0
BuildArch: noarch
Release: 1
Copyright: GPL
Group: Development/Tools
Source: http://www.gnu.org/software/cons/stable/cons-2.2.0.tgz
Source1: http://www.gnu.org/software/cons/stable/cons-test-2.2.0.tgz
URL: http://www.gnu.org/software/cons/stable/cons.html
Packager: Cons Maintainer <cons-maintainer@gnu.org>
Vendor: Free Software Foundation
Requires: perl >= 5
Prefix: /usr
BuildRoot: /home/knight/Cons/branch-2-2/build/pkg/rpm/tmp

%description
Cons is a Perl-based make replacement.  It is not compatible with make,
but has a number of powerful capabilities not found in other software
construction systems, including make.

Do you use Makefiles for your project?  Have you ever done a "make clean;
make all" just because you didn't know if the files you changed would be
rebuilt correctly?  Or perhaps you work on several machines accessing an
NFS server, and if their clocks aren't in sync, make won't know to rebuild
things?  Well, welcome to a new and better way to control the building of
your projects.

%package test
Summary: Cons-Test - Cons software construction utility regression test package
Group: Development/Tools
Requires: cons = %{PACKAGE_VERSION}

%description test
The regression test package for the Cons software construction
tool, containing the tests, a wrapper script for executing them, and
supporting modules.

Cons is a Perl-based make replacement.  It is not compatible with make,
but has a number of powerful capabilities not found in other software
construction systems, including make.

%prep
# Unpack the main Cons .tgz file.
%setup
# Unpack the cons-test .tgz file; don't remove the directory
# we just unpacked, and don't repeat the unpacking.
%setup -D -T -b 1

%build
echo Nothing to build.

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin/
rm -f $RPM_BUILD_ROOT/usr/bin/cons
cp -p cons test/cons-test $RPM_BUILD_ROOT/usr/bin/

mkdir -p $RPM_BUILD_ROOT/usr/man/man1/
rm -f $RPM_BUILD_ROOT/usr/man/man1/cons.1.gz
cp -p cons.1.gz test/cons-test.1.gz $RPM_BUILD_ROOT/usr/man/man1

rm -rf $RPM_BUILD_ROOT/usr/lib/cons-2.2.0/test
mkdir -p $RPM_BUILD_ROOT/usr/lib/cons-2.2.0/test
cp -p -r test/README test/Tests.txt test/t $RPM_BUILD_ROOT/usr/lib/cons-2.2.0/test

%files
%doc CHANGES COPYING COPYRIGHT INSTALL README RELEASE TODO cons.html
%doc /usr/man/man1/cons.1.gz
/usr/bin/cons

%files test
%doc test/CHANGES test/COPYING test/COPYRIGHT test/README test/TODO test/Tests.txt
%doc /usr/man/man1/cons-test.1.gz
/usr/lib/cons-2.2.0/test
/usr/bin/cons-test
